#include <bits/stdc++.h>

using namespace std;


int main(int argc, char** argv) 
{
	string s;
	long long a, b;
	cin>>s>>a>>b;
	if(abs(a-b) >1) cout<<"nemoguce"; 
	else 
	{
	if(a==b || a>b)
		{
		long long c = a+ b;
		for(int i=0; i<c; i++)
			{
			cout<<s[i%2];
			}
		
		}
	else
	{
	long long c = a+ b;
		for(int i=0; i<c; i++)
			{
			if(i%2 ==0) cout<<s[1];
			else cout<<s[0];
			}
		
	}
	
	
		
		
	}
	return 0;
}